## jcifs.smb
Class SmbException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  jcifs.smb.SmbException

All Implemented Interfaces:
  java.io.Serializable, jcifs.smb.DosError, jcifs.smb.NtStatus, jcifs.smb.WinError

Direct Known Subclasses:
  SmbAuthException

    public class SmbException

extends java.io.IOException
implements jcifs.smb.NtStatus, jcifs.smb.DosError, jcifs.smb.WinError

There are hundreds of error codes that may be returned by a CIFS server. Rather than represent each with it's own `Exception` class, this class represents all of them. For many of the popular error codes, constants and text messages like "The device is not ready" are provided.

The jCIFS client maps DOS error codes to NTSTATUS codes. This means that the user may recieve a different error from a legacy server than that of a newer varient such as Windows NT and above. If you should encounter such a case, please report it to jcifs at samba dot org and we will change the mapping.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface jcifs.smb.NtStatus

`NT_STATUS_ACCESS_DENIED, NT_STATUS_ACCESS_VIOLATION, NT_STATUS_ACCOUNT_DISABLED, NT_STATUS_ACCOUNT_LOCKED_OUT, NT_STATUS_ACCOUNT_RESTRICTION, NT_STATUS_BAD_NETWORK_NAME, NT_STATUS_BUFFER_TOO_SMALL, NT_STATUS_CANNOT_DELETE, NT_STATUS_CANT_ACCESS_DOMAIN_INFO, NT_STATUS_CODES, NT_STATUS_DELETE_PENDING, NT_STATUS_DUPLICATE_NAME, NT_STATUS_FILE_IS_A_DIRECTORY, NT_STATUS_INSTANCE_NOT_AVAILABLE, NT_STATUS_INVALID_COMPUTER_NAME, NT_STATUS_INVALID_HANDLE, NT_STATUS_INVALID_INFO_CLASS, NT_STATUS_INVALID_LOGON_HOURS, NT_STATUS_INVALID_PARAMETER, NT_STATUS_INVALID_PIPE_STATE, NT_STATUS_INVALID_SID, NT_STATUS_INVALID_WORKSTATION, NT_STATUS_IO_REPARSE_TAG_NOT_HANDLED, NT_STATUS_LOGON_FAILURE, NT_STATUS_LOGON_TYPE_NOT_GRANTED, NT_STATUS_MESSAGES, NT_STATUS_MORE_PROCESSING_REQUIRED, NT_STATUS_NETWORK_ACCESS_DENIED, NT_STATUS_NETWORK_NAME_DELETED, NT_STATUS_NO_LOGON_SERVERS, NT_STATUS_NO_SUCH_ALIAS, NT_STATUS_NO_SUCH_DEVICE, NT_STATUS_NO_SUCH_DOMAIN, NT_STATUS_NO_SUCH_FILE, NT_STATUS_NO_SUCH_USER, NT_STATUS_NO_TRUST_SAM_ACCOUNT, NT_STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT, NT_STATUS_NONE_MAPPED, NT_STATUS_NOT_A_DIRECTORY, NT_STATUS_NOT_FOUND, NT_STATUS_NOT_IMPLEMENTED, NT_STATUS_OBJECT_NAME_COLLISION, NT_STATUS_OBJECT_NAME_INVALID, NT_STATUS_OBJECT_NAME_NOT_FOUND, NT_STATUS_OBJECT_PATH_INVALID, NT_STATUS_OBJECT_PATH_NOT_FOUND, NT_STATUS_OBJECT_PATH_SYNTAX_BAD, NT_STATUS_OK, NT_STATUS_PASSWORD_EXPIRED, NT_STATUS_PASSWORD_MUST_CHANGE, NT_STATUS_PATH_NOT_COVERED, NT_STATUS_PIPE_BROKEN, NT_STATUS_PIPE_BUSY, NT_STATUS_PIPE_CLOSING, NT_STATUS_PIPE_DISCONNECTED, NT_STATUS_PIPE_LISTENING, NT_STATUS_PIPE_NOT_AVAILABLE, NT_STATUS_PORT_DISCONNECTED, NT_STATUS_REQUEST_NOT_ACCEPTED, NT_STATUS_SHARING_VIOLATION, NT_STATUS_TRUSTED_DOMAIN_FAILURE, NT_STATUS_UNSUCCESSFUL, NT_STATUS_USER_EXISTS, NT_STATUS_WRONG_PASSWORD`

Fields inherited from interface jcifs.smb.DosError
`DOS_ERROR_CODES, DOS_ERROR_MESSAGES`

Fields inherited from interface jcifs.smb.WinError
`ERROR_ACCESS_DENIED, ERROR_BAD_PIPE, ERROR_MORE_DATA, ERROR_NO_BROWSER_SERVERS_FOUND, ERROR_NO_DATA, ERROR_PIPE_BUSY, ERROR_PIPE_NOT_CONNECTED, ERROR_REQ_NOT_ACCEP, ERROR_SUCCESS, WINERR_CODES, WINERR_MESSAGES`

Constructor Summary
`SmbException(int errcode, boolean winerr)`

Method Summary
`int` `getNtStatus()`
`java.lang.Throwable` `getRootCause()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmbException

    public SmbException(int errcode,
                        boolean winerr)

Method Detail

### getNtStatus

    public int getNtStatus()

### getRootCause

    public java.lang.Throwable getRootCause()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`